package com.gh.common.provider

import androidx.lifecycle.MediatorLiveData
import androidx.lifecycle.MutableLiveData
import com.gh.gamecenter.feature.entity.MessageUnreadCount
import com.gh.gamecenter.feature.entity.MessageUnreadEntity
import com.gh.gamecenter.feature.provider.IMessageUnreadRepositoryProvider
import com.gh.gamecenter.message.MessageUnreadRepository

@com.therouter.inject.ServiceProvider
class MessageUnreadRepositoryProviderImpl : IMessageUnreadRepositoryProvider {

    override fun loadMessageUnreadData() {
        MessageUnreadRepository.loadMessageUnreadData()
    }

    override fun loadMessageUnreadTotal(isRecordData: Boolean) {
        MessageUnreadRepository.loadMessageUnreadTotal(isRecordData)
    }

    override fun getUnreadLiveData(): MediatorLiveData<MessageUnreadEntity> {
        return MessageUnreadRepository.unreadLiveData
    }

    override fun getZixunConcernLiveData(): MutableLiveData<Boolean> {
        return MessageUnreadRepository.zixunConcern
    }

    override fun getMessageUnreadCountLiveData(): MutableLiveData<MessageUnreadCount?> {
        return MessageUnreadRepository.messageUnreadCountLiveData
    }

}